main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('contact/', views.contact, name='contact'),
    path('addmatkul/', views.addmatkul, name='addmatkul'),
    path('daftarmatkul/', views.daftarmatkul, name='daftarmatkul'),
    path('matkulcontent/<int:id>/', views.matkulcontent, name='matkulcontent'),
    path('daftarmatkul/delete/<int:id>/', views.deletematkul, name='deletematkul'),
    path('stories/', views.stories, name='stories'),
    path('storyfive/', views.storyfive, name='storyfive'),
]

ppwstory/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('storyone/', include('storyone.urls')),
    path('storysix/', include('story6.urls')),
    path('storyseven/', include('story7.urls')),
    path('storyeight/', include('story8.urls')),
    path('', include('story9.urls')),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.story6, name='story6'),
    path('peepform/<int:id>/', views.peepform, name='peepform'),
]

story6/models.py
from django.db import models

# Create your models here.


class Activity(models.Model):
    nama = models.CharField(max_length=100, blank=False, null=False)

    def _str_(self):
        return self.nama


class People(models.Model):
    name = models.CharField(max_length=100, blank=False, null=True)
    activity = models.ForeignKey(Activity, null=True, on_delete= models.CASCADE)

    def _str_(self):
        return self.name
    

    

story6/forms.py
from django import forms

from .models import Activity, People

class PeopleForm(forms.ModelForm):
    class Meta:
        model = People
        fields = ['name']
        widgets = {
            'nama':forms.TextInput(attrs={'class': 'form-control'})
        }

class ActivityForm(forms.ModelForm):
    class Meta:
        model = Activity
        fields = ['nama']
        widgets = {
            'name':forms.TextInput(attrs={'class': 'form-control'})
        }

story6/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import redirect, render
from .models import *
from .forms import PeopleForm, ActivityForm

# Create your views here.
def story6(request):
    activities = Activity.objects.all()
    actform = ActivityForm(request.POST or None)
    jumlahact = activities.count()
    peserta = People.objects.all()

    if actform.is_valid():
        actform.save()
        actform = ActivityForm()

    
    context = {
            'peserta': peserta,
            'activities': activities,
            'actform': actform,
            'jumlahact': jumlahact
    }

    return render(request, 'storysix.html', context)

def peepform(request, id):
    peepsform = PeopleForm(request.POST or None)

    if peepsform.is_valid():
        act = Activity.objects.get(id=id)
        People.objects.create(name=request.POST['name'], activity=act)
        peepsform = PeopleForm()

    context = {
                'peepsform': peepsform
    }

    return render(request, 'pesertaform.html', context)









    

story6/templates/pesertaform.html
{% extends "base.html" %} {% load static %} {% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<title>Add Peserta</title>
<style>
    body {
        background-color: #000000;
    }
    
    #addtitle {
        border-top-width: 50px;
    }
</style>
{% endblock meta %} {% block content %}
<style>
    .navbar {
        color: #D1644C !important;
        font-family: DM Serif Display;
        font-size: 18px;
        position: fixed;
    }
    
    #contact {
        left: 50px;
        top: 30px;
    }
    
    #hmbutton {
        left: 50%;
        top: 30px;
    }
    
    #st1button {
        right: 50px;
        top: 30px;
    }
    
    #ambutton {
        display: none;
    }
    
    #dmbutton {
        display: none;
    }
</style>
<div class="blockage" style="color: #000000; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="blockage" style="color: #000000; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="row justify-content-center">
    <p class="reched" id="addtitle">Daftar Kegiatan Ini</p>
</div>
<div class="blockage" style="color: #000000; height: 10px;">BLOCKAGEHAHAHA</div>
<div class="row justify-content-center" style="width: 100%; height: 100%; top: 200px !important;">
    <div class="form-group " style="color: #D1644C; font-family: DM Mono;">
        <form method='POST'>
            {% csrf_token %} {{ peepsform.as_p }}
            <input type='submit' value='submit' style="background-color: #FDF7E4;" />
        </form>
    </div>
</div>
{% endblock content %}

story6/templates/storysix.html
{% extends "base.html" %} {% load static %} {% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<title>Activities</title>
<style>
    body {
        background-color: #FDF7E4;
    }
</style>
{% endblock meta %} {% block content %}

<div class="row justify-content-center" style="height: 100%;margin-top: 5%;">
    <div class="row">
        <a>Activities</a>
    </div>
</div>

<div class="container">
    {% if jumlah != 0 %}
    <div class="row justify-content-center">
        {% for act in activities %}
        <div class="card text-white bg-primary mb-3" style="width: 200px;margin-top:5px; margin-left: 6px; margin-right: 6px; max-width: 18rem;  background-color: #D1644C!important;">
            <div class="card-header justify-content-center" style="text-align: center;font-family: DM Mono;">{{act.nama}}</div>
            <div class="card-body " style="text-align: center;font-family: DM Mono;">
                <table>
                    {% for p in peserta %} {% if p.activity.nama == act.nama %}
                    <p class="card-text">{{p.name}}</p>
                    {% endif %} {% endfor %}
                </table>
            </div>
            <div class="card-footer text-muted" style="text-align: center;">
                <a class="btn btn-secondary btn-sm" id="pesertabutton" href="{% url 'story6:peepform' act.id %}" role="button" style="background-color: #FDF7E4!important;">+</a>
            </div>
        </div>
        {% endfor %}
    </div>
    {% endif %}
    <div class="row justify-content-center">
        <div class="card text-white bg-primary mb-3" style="max-width: 18rem; background-color: #D1644C!important;">
            <div class="card-body" style="text-align: center;">
                <p class="card-title" style="text-align: center;font-family: DM Mono;top: 8px;">Add Activity!</p>
                <div class="form-group " style="width: 100%; height: 100%; color: #D1644C; font-family: DM Mono;">
                    <form method='POST'>
                        {% csrf_token %} {{ actform.as_p }}<input type='submit' value='+' style="background-color: #FDF7E4;" />
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock content %}